Bug 74279 - wu_ftpd does DOS EOL conversion on unix-unix ASCII transfers
wu_ftpd does DOS EOL conversion on unix-unix ASCII transfers
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 09:46 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-27 11:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-19 09:46:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
FTP to updates.redhat.com from a Linux box.  Neglect to set binary 
mode either because you forget or because you know that it SHOULD not
matter (there should be no EOL conversion on unix-unix transfers).  
Grab an RPM.  See how the received RPM is larger than that on the 
server.  Watch rpm complain when you try to install it because it is 
larger than it ought to be.  Do the same transfer using perl's 
Net::FTP package and see the same effect (so it's not an artefact of 
the client).  Switch to binary mode, repeat and all is well.

Either my understanding of RFC 959 et al. is borked or wu_ftpd
is borked.

Yes, it can be worked around.  Remembering to select binary mode is
one way (it's a shame ftp doesn't have a command switch so we
can alias ftp so it switches to binary mode and it's a shame that
.netrc doesn't seem to have any way of automatically selecting
binary mode for specific machines or all machine).  Hacking the
perl mirror script by Felix Leitner is also possible (I would think
that the mirror script ought to always select binary mode anyway).
But wu_ftpd shouldn't be doing it in the first place.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Ftp to updates.redhat.com from a bog standard RH box.
2.  Grab an RPM in ASCII mode.
3.  Compare file size and/or try to install the RPM.

Actual Results:  Received file is too large.

Expected Results:  Received file should be the same size when transferring between
two RH linux boxes whether ASCII or binary mode is used.

Additional info:
Comment 1 ahansen 2002-11-08 17:57:58 EST
this bug is not limited to wu_ftp... we are running into this on a server
running redhat 7.3 which uses vsftp, and we are seeing the exact same behavior.
Additionally, if we ftp from a windows box to this linux server and transfer a
file in ASCII mode it works fine

Note You need to log in before you can comment on or make changes to this bug.